package domain


type AlibabaRetailMarketingItempoolActivitySaveStairGroupDto struct {
    /*
        分组序号     */
    Number  *int64 `json:"number,omitempty" `

    /*
        优惠门槛     */
    Condition  *AlibabaRetailMarketingItempoolActivitySaveStairConditionDTO `json:"condition,omitempty" `

    /*
        优惠效果     */
    Action  *AlibabaRetailMarketingItempoolActivitySaveActionDTO `json:"action,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivitySaveStairGroupDto) SetNumber(v int64) *AlibabaRetailMarketingItempoolActivitySaveStairGroupDto {
    s.Number = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveStairGroupDto) SetCondition(v AlibabaRetailMarketingItempoolActivitySaveStairConditionDTO) *AlibabaRetailMarketingItempoolActivitySaveStairGroupDto {
    s.Condition = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveStairGroupDto) SetAction(v AlibabaRetailMarketingItempoolActivitySaveActionDTO) *AlibabaRetailMarketingItempoolActivitySaveStairGroupDto {
    s.Action = &v
    return s
}
